import { getTokenAtPosition, getTypeInfo } from 'graphql-language-service';
import { offsetToPos } from './helpers';
import { getOpts, getSchema } from './state';
export const fillAllFieldsCommands = (view) => {
    const schema = getSchema(view.state);
    if (!schema) {
        return true;
    }
    const opts = getOpts(view.state);
    const currentPosition = view.state.selection.main.head;
    const pos = offsetToPos(view.state.doc, currentPosition);
    const token = getTokenAtPosition(view.state.doc.toString(), pos);
    if (schema && (opts === null || opts === void 0 ? void 0 : opts.onFillAllFields)) {
        opts.onFillAllFields(view, schema, view.state.doc.toString(), pos, token);
    }
    return true;
};
export const showInDocsCommand = (view) => {
    var _a, _b, _c;
    const schema = getSchema(view.state);
    if (!schema) {
        return true;
    }
    const opts = getOpts(view.state);
    const currentPosition = view.state.selection.main.head;
    const pos = offsetToPos(view.state.doc, currentPosition);
    const token = getTokenAtPosition(view.state.doc.toString(), pos);
    if (schema && (opts === null || opts === void 0 ? void 0 : opts.onShowInDocs)) {
        const tInfo = getTypeInfo(schema, token.state);
        opts.onShowInDocs((_a = tInfo.fieldDef) === null || _a === void 0 ? void 0 : _a.name, (_b = tInfo.type) === null || _b === void 0 ? void 0 : _b.toString(), (_c = tInfo.parentType) === null || _c === void 0 ? void 0 : _c.toString());
    }
    return true;
};
//# sourceMappingURL=commands.js.map